
import sbt._
import Keys._

object ApplicationBuild extends Build {

  val appName = "%PNLC%"
  val appVersion = "1.0"

  lazy val root = sbt.Project(appName, file("."))
    .settings(commands ++= Seq(com.iteration3.relax.rsbt.Commands.smileUpdateCommand, com.iteration3.relax.rsbt.Commands.smileDelete, com.iteration3.relax.rsbt.Commands.generateDoc))
    .settings(version := appVersion)
    .settings(unmanagedResourceDirectories in Compile := Seq(baseDirectory.value / "conf"))
    .settings(unmanagedSourceDirectories in Compile := Seq(baseDirectory.value / "app"))
    .settings(SbtSettings.commonProjectSettings: _*)
}

trait DefaultSbtSettings {
  def commonProjectSettings: Seq[Setting[_]] = Seq();
}
